export declare type ExpressionAttributesMap<T> = {
    [key: string]: T;
};
export default class ExpressionAttributes<T> {
    private readonly attributesMap;
    constructor(init?: ExpressionAttributesMap<T>);
    protected setValue(requestedKey: string, value: T): string;
    serialize(): ExpressionAttributesMap<T> | undefined;
}
